> ## Documentation Index
> Fetch the complete documentation index at: https://docs.data-wizard.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List all buckets

> Retrieves the collection of ExtractionBucket resources.



## OpenAPI

````yaml api-reference/openapi.json get /api/buckets
openapi: 3.1.0
info:
  title: DataWizard.ai API
  description: API access to DataWizard data extraction
  contact:
    name: Lukas Mateffy
    url: https://mateffy.me
    email: hey@mateffy.me
  license:
    name: ''
    url: ''
  version: 1.0.0
servers:
  - url: https://data-wizard.ai
    description: Data Wizard API
  - url: https://data-wizard.test
    description: Local Development API
security:
  - Personal Access Token: []
tags:
  - name: ExtractionBucket
  - name: ExtractionRun
    description: An in-progress or completed extraction run
  - name: SavedExtractor
paths:
  /api/buckets:
    get:
      tags:
        - ExtractionBucket
      summary: List all buckets
      description: Retrieves the collection of ExtractionBucket resources.
      operationId: api_apibuckets_get_collection
      parameters:
        - name: page
          in: query
          description: The collection page number
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: integer
            default: 1
          style: form
          explode: false
        - name: model
          in: query
          description: ExtractionBucket model
          required: false
          deprecated: false
          schema:
            type: string
          style: form
          explode: false
        - name: output_instructions
          in: query
          description: ExtractionBucket output_instructions
          required: false
          deprecated: false
          schema:
            type: string
          style: form
          explode: false
      responses:
        '200':
          description: ExtractionBucket collection
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ExtractionBucket'
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  links:
                    type: object
                    properties:
                      self:
                        type: string
                        format: iri-reference
                      first:
                        type: string
                        format: iri-reference
                      prev:
                        type: string
                        format: iri-reference
                      next:
                        type: string
                        format: iri-reference
                      last:
                        type: string
                        format: iri-reference
                    example:
                      self: string
                      first: string
                      prev: string
                      next: string
                      last: string
                  meta:
                    type: object
                    properties:
                      totalItems:
                        type: integer
                        minimum: 0
                      itemsPerPage:
                        type: integer
                        minimum: 0
                      currentPage:
                        type: integer
                        minimum: 0
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/ExtractionBucket.jsonapi'
                required:
                  - data
            application/ld+json:
              schema:
                type: object
                properties:
                  member:
                    type: array
                    items:
                      $ref: '#/components/schemas/ExtractionBucket.jsonld'
                  totalItems:
                    type: integer
                    minimum: 0
                  view:
                    type: object
                    properties:
                      '@id':
                        type: string
                        format: iri-reference
                      '@type':
                        type: string
                      first:
                        type: string
                        format: iri-reference
                      last:
                        type: string
                        format: iri-reference
                      previous:
                        type: string
                        format: iri-reference
                      next:
                        type: string
                        format: iri-reference
                    example:
                      '@id': string
                      type: string
                      first: string
                      last: string
                      previous: string
                      next: string
                  search:
                    type: object
                    properties:
                      '@type':
                        type: string
                      template:
                        type: string
                      variableRepresentation:
                        type: string
                      mapping:
                        type: array
                        items:
                          type: object
                          properties:
                            '@type':
                              type: string
                            variable:
                              type: string
                            property:
                              type:
                                - string
                                - 'null'
                            required:
                              type: boolean
                required:
                  - member
            text/csv:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ExtractionBucket.csv'
            text/html:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ExtractionBucket'
      deprecated: false
components:
  schemas:
    ExtractionBucket:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          type: string
        description:
          type:
            - string
            - 'null'
        deletedAt:
          readOnly: true
          type:
            - string
            - 'null'
          format: date-time
        createdAt:
          readOnly: true
          type:
            - string
            - 'null'
          format: date-time
        updatedAt:
          readOnly: true
          type:
            - string
            - 'null'
          format: date-time
        createdUsing:
          type: string
        artifacts:
          readOnly: true
          type:
            - string
            - 'null'
        runs:
          type: array
          items:
            type: string
            format: iri-reference
            example: https://example.com/
    ExtractionBucket.jsonapi:
      type: object
      description: ''
      deprecated: false
      properties:
        data:
          type: object
          properties:
            id:
              type: string
            type:
              type: string
            attributes:
              type: object
              properties:
                _id:
                  readOnly: true
                  type: string
                description:
                  type:
                    - string
                    - 'null'
                deletedAt:
                  readOnly: true
                  type:
                    - string
                    - 'null'
                  format: date-time
                createdAt:
                  readOnly: true
                  type:
                    - string
                    - 'null'
                  format: date-time
                updatedAt:
                  readOnly: true
                  type:
                    - string
                    - 'null'
                  format: date-time
                createdUsing:
                  type: string
                artifacts:
                  readOnly: true
                  type:
                    - string
                    - 'null'
            relationships:
              type: object
              properties:
                runs:
                  properties:
                    data:
                      type: array
                      items:
                        type: object
                        properties:
                          type:
                            type: string
                          id:
                            type: string
                            format: iri-reference
          required:
            - type
            - id
        included:
          description: Related resources requested via the "include" query parameter.
          type: array
          items:
            anyOf:
              - $ref: '#/components/schemas/ExtractionBucket.jsonapi'
          readOnly: true
          externalDocs:
            url: https://jsonapi.org/format/#fetching-includes
    ExtractionBucket.jsonld:
      type: object
      description: ''
      deprecated: false
      properties:
        '@context':
          readOnly: true
          oneOf:
            - type: string
            - type: object
              properties:
                '@vocab':
                  type: string
                hydra:
                  type: string
                  enum:
                    - http://www.w3.org/ns/hydra/core#
              required:
                - '@vocab'
                - hydra
              additionalProperties: true
        '@id':
          readOnly: true
          type: string
        '@type':
          readOnly: true
          type: string
        id:
          readOnly: true
          type: string
        description:
          type:
            - string
            - 'null'
        deletedAt:
          readOnly: true
          type:
            - string
            - 'null'
          format: date-time
        createdAt:
          readOnly: true
          type:
            - string
            - 'null'
          format: date-time
        updatedAt:
          readOnly: true
          type:
            - string
            - 'null'
          format: date-time
        createdUsing:
          type: string
        artifacts:
          readOnly: true
          type:
            - string
            - 'null'
        runs:
          type: array
          items:
            type: string
            format: iri-reference
            example: https://example.com/
    ExtractionBucket.csv:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          type: string
        description:
          type:
            - string
            - 'null'
        deletedAt:
          readOnly: true
          type:
            - string
            - 'null'
          format: date-time
        createdAt:
          readOnly: true
          type:
            - string
            - 'null'
          format: date-time
        updatedAt:
          readOnly: true
          type:
            - string
            - 'null'
          format: date-time
        createdUsing:
          type: string
        artifacts:
          readOnly: true
          type:
            - string
            - 'null'
        runs:
          type: array
          items:
            type: string
            format: iri-reference
            example: https://example.com/
  securitySchemes:
    Personal Access Token:
      type: http
      description: Value for the http bearer parameter.
      scheme: bearer
      bearerFormat: JWT

````